import {Component, OnDestroy} from '@angular/core';
import {ICellRendererAngularComp} from 'ag-grid-angular';

@Component({
  selector: 'app-view-button',
  templateUrl: './view-paper-button.component.html',
  styleUrls: ['./view-paper-button.component.css']
})
export class ViewPaperButtonComponent implements ICellRendererAngularComp, OnDestroy {
  public params: any;

  agInit(params: any): void {
    this.params = params;
  }

  ngOnDestroy(): void {

  }

  public invokeParentMethod() {
    this.params.context.componentParent.viewPaper(this.params.data);
  }

  refresh(): boolean {
    return false;
  }
}
