import {Injectable} from '@angular/core';
import {CanActivate, Router} from '@angular/router';

@Injectable()
export class LoginGuardService implements CanActivate {

  constructor(private router: Router) {
  }

  canActivate(): boolean {
    if (!sessionStorage.getItem('username')) {
      this.router.navigate(['/login']);
      return false;
    }
    return true;
  }

}
